"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inlineTypeDeclarationFilter = void 0;
const typing_1 = require("../../typings/typing");
/**
 * This function defines a filter which attempts to generate the inline type
 * declaration for a given schema.
 * @param schema The schema for which to generate the inline type declaration.
 * @returns The generated inline type declaration.
 */
function inlineTypeDeclaration(schema) {
    return (0, typing_1.generateTyping)(schema, { inline: true }).typeDeclaration;
}
exports.inlineTypeDeclarationFilter = {
    name: 'inlineTypeDeclaration',
    function: inlineTypeDeclaration,
};
//# sourceMappingURL=inlineTypeDeclaration.js.map