import { generateTyping } from '../typing';
export function handleAllOf(schema, comment, options) {
    let type = undefined;
    const typeDeclarations = [];
    let dependencies = [];
    for (const subschema of schema.allOf) {
        if (!type)
            type = subschema.type;
        if (type != subschema.type)
            throw 'Error: cannot merge types for allOf';
        const td = generateTyping(subschema, options);
        typeDeclarations.push(td.typeDeclaration);
        dependencies = dependencies.concat(td.typeDependencies);
    }
    return {
        typeDeclaration: typeDeclarations.join(' & '),
        typeDependencies: dependencies,
        comment: comment,
    };
}
//# sourceMappingURL=allOf.js.map