import { OpenAPIV3_1 } from 'openapi-types';
/**
 * This function attempts to generate invalid versions of a given schema by recursively removing
 * required attributes or replacing them with invalid types / formats.
 * @param schema The schema to use as a template.
 * @param prefix A prefix to generate the path to the removed property.
 * @returns A list of invalid versions of the template schema with the path of the removed property.
 */
export declare function generateInvalidSchemas(schema: OpenAPIV3_1.SchemaObject, prefix?: string): {
    schema: OpenAPIV3_1.SchemaObject;
    path: string;
    operation: 'remove' | 'change-type' | 'remove-format' | 'remove-enum' | 'negate-type';
}[];
//# sourceMappingURL=invalidSchemas.d.ts.map